version 11
clear 
set more off
capture log close

*adopath + 


*************************************************************
*** Experimental Control Group                            ***
*************************************************************

* original data: National Supported Work (NSW) Demonstration
* labor market experiment in which participants were
* randomized between treatment (job training) and control
* group 

* original data:
use nswre74.dta

* dummies for unemployed
generate u74=re74==0
generate u75=re75==0

* frequencies
tab treat

* sample means of covariates (Table 1)
tabstat age ed black hisp married nodeg re74 re75 u74 u75, statistics( mean ) by(treat) columns(variables) format(%9.4g)

* both groups are very similar in their observable characteristics
* due to the randomization

* Under randomization in a group of those, who wants to go 
* into the training, the ATOT can be estimated as the simple
* difference of means

summarize re78 if treat==1
scalar Y1bar=r(mean)
summarize re78 if treat==0
scalar Y0bar=r(mean)
scalar ATOT_exp=Y1bar-Y0bar
display ATOT_exp
* that is the Treatment effect in Table 2, Row 1

* Significance?
* simple two-group mean-comparison test
ttest re78, by(treat)

* gives the estimated S.D. in Table 2
* or:

regress re78 treat



* Regression Treatment Effect
* regress dependent variable on treatmentdummy and other characteristics

reg  re78 treat  age ed black hisp married nodeg re74 re75 u74 u75

* it is not exactly the same (???)

* both are very close, so we have a clue, where
* the true treatment effect should be
